[Forgot Password]
Login  Register Subscribe

23631

 
 

126173

 
 

98218

 
 

909

 
 

79224

 
 

109

Paid content will be excluded from the download.


Download | Alert*
CVE
view XML

CVE-2012-4415

Date: (C)2012-09-30   (M)2015-12-16 


Stack-based buffer overflow in the guac_client_plugin_open function in libguac in Guacamole before 0.6.3 allows remote attackers to cause a denial of service (crash) or execute arbitrary code via a long protocol name.

CVSS Score: 7.5Access Vector: NETWORK
Exploit Score: 10.0Access Complexity: LOW
Impact Score: 6.4Authentication: NONE
 Confidentiality: PARTIAL
 Integrity: PARTIAL
 Availability: PARTIAL





Reference:
http://archives.neohapsis.com/archives/bugtraq/2012-09/0107.html
BID-55497
FEDORA-2012-13914
FEDORA-2012-14097
FEDORA-2012-14179
http://www.openwall.com/lists/oss-security/2012/09/11/3
http://www.openwall.com/lists/oss-security/2012/09/11/7
http://guac-dev.org/trac/changeset/7dcefa744b4a38825619c00ae8b47e5bae6e38c0/libguac
https://bugzilla.redhat.com/show_bug.cgi?id=856743

CPE    2
cpe:/o:fedoraproject:fedora:17
cpe:/o:fedoraproject:fedora:16
CWE    1
CWE-119
OVAL    13
oval:org.secpod.oval:def:104186
oval:org.secpod.oval:def:104175
oval:org.secpod.oval:def:104173
oval:org.secpod.oval:def:104184
...

© 2013 SecPod Technologies